package net.wanji.feign.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 控制指令VO
 *
 * @author wuxiaokai
 * @date 2022/11/15 15:05:57
 */
@Data
@ApiModel(value = "LockControlVO", description = "相位锁定实体类")
public class LockControlVO {

    @ApiModelProperty(value = "路口编号", notes = "路口编号")
    @NotBlank(message = "路口编号不能为空")
    private String crossCode;

    /**
     * 1 锁定; 0 取消
     */
    @ApiModelProperty(value = "1是；0否")
    @NotNull(message = "控制标识不可为空,1是；0否")
    @Max(value = 1, message = "控制标识：1是；0否")
    @Min(value = 0, message = "控制标识：1是；0否")
    private Integer command;

    @ApiModelProperty(value = "持续时间")
    private Integer duration;

    @ApiModelProperty(value = "锁定相位列表")
    private List<Integer> phaseList;
}
